Bug 261706 - digiKam crashed after downloading pictures
Summary: digiKam crashed after downloading pictures
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Video (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-31 13:01 UTC by Juergen
Modified: 2018-08-21 10:43 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen 2010-12-31 13:01:43 UTC
Application: digikam (1.5.0)
KDE Platform Version: 4.5.4 (KDE 4.5.4)
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-66.fc13.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

Pictures had just finished downloading from my Smartphone. The download completed by the app crashed immediately.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
216	62:	movq	%rax, %r14
[Current thread is 1 (Thread 0x7fab70913880 (LWP 2413))]

Thread 16 (Thread 0x7fab5f7b2700 (LWP 2414)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003bcf47212b in wait (this=<value optimized out>, mutex=0x2bd1b20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2bd1b20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000000000691bfb in ?? ()
#4  0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x2c1a9a0) at thread/qthread_unix.cpp:248
#5  0x0000003bc4407761 in start_thread (arg=0x7fab5f7b2700) at pthread_create.c:301
#6  0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 15 (Thread 0x7fab5edb1700 (LWP 2418)):
#0  0x0000003bc440a5d3 in __pthread_mutex_unlock_usercnt (mutex=0x7fab50002db8) at pthread_mutex_unlock.c:41
#1  __pthread_mutex_unlock (mutex=0x7fab50002db8) at pthread_mutex_unlock.c:290
#2  0x0000003bc543a4d1 in IA__g_main_context_query (context=0x7fab50002db0, max_priority=<value optimized out>, timeout=<value optimized out>, fds=<value optimized out>, n_fds=1) at gmain.c:2378
#3  0x0000003bc543f73c in g_main_context_iterate (context=0x7fab50002db0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2573
#4  0x0000003bc543fc9c in IA__g_main_context_iteration (context=0x7fab50002db0, may_block=1) at gmain.c:2654
#5  0x0000003bcf5798b6 in QEventDispatcherGlib::processEvents (this=0x7fab50001f10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x0000003bcf552822 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x0000003bcf552aec in QEventLoop::exec (this=0x7fab5edb0cd0, flags=...) at kernel/qeventloop.cpp:201
#8  0x0000003bcf46f05b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x2dac300) at thread/qthread_unix.cpp:248
#10 0x0000003bc4407761 in start_thread (arg=0x7fab5edb1700) at pthread_create.c:301
#11 0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7fab5e07a700 (LWP 2419)):
#0  0x0000003bc3cd7323 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003bc543f849 in g_main_context_poll (context=0x7fab540009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x7fab540009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x0000003bc543fc9c in IA__g_main_context_iteration (context=0x7fab540009b0, may_block=1) at gmain.c:2654
#4  0x0000003bcf5798b6 in QEventDispatcherGlib::processEvents (this=0x7fab540008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x0000003bcf552822 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003bcf552aec in QEventLoop::exec (this=0x7fab5e079cd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003bcf46f05b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x2f8f580) at thread/qthread_unix.cpp:248
#9  0x0000003bc4407761 in start_thread (arg=0x7fab5e07a700) at pthread_create.c:301
#10 0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 13 (Thread 0x7fab5d5f8700 (LWP 2420)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003bcf47212b in wait (this=<value optimized out>, mutex=0x2ff6a58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2ff6a58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003be247757c in ?? () from /usr/lib64/libdigikamcore.so.1
#4  0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x2ff6a40) at thread/qthread_unix.cpp:248
#5  0x0000003bc4407761 in start_thread (arg=0x7fab5d5f8700) at pthread_create.c:301
#6  0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7fab5cbf7700 (LWP 2421)):
#0  0xffffffffff60013b in ?? ()
#1  0x00007fab5cbf69c0 in ?? ()
#2  0x00007fff6fd58952 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 11 (Thread 0x7fab47fff700 (LWP 2422)):
#0  0xffffffffff60013b in ?? ()
#1  0x00007fab47ffe9c0 in ?? ()
#2  0x00007fff6fd58952 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 10 (Thread 0x7fab328b1700 (LWP 2433)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007fab4429c9b1 in metronom_sync_loop (this=0x3182640) at metronom.c:870
#2  0x0000003bc4407761 in start_thread (arg=0x7fab328b1700) at pthread_create.c:301
#3  0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fab30878700 (LWP 2435)):
[KCrash Handler]
#6  0x00007fab31cabfc6 in xv_restore_port_attributes (this_gen=0x318a2d0) at video_out_xcbxv.c:1050
#7  xv_dispose (this_gen=0x318a2d0) at video_out_xcbxv.c:1070
#8  0x00007fab442a8973 in vo_exit (this_gen=0x318b6b0) at video_out.c:1618
#9  0x00007fab44531ed6 in Phonon::Xine::VideoWidgetXT::~VideoWidgetXT (this=0x3101970, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /usr/src/debug/phonon-4.4.3/xine/videowidget.cpp:241
#10 0x00007fab44532299 in Phonon::Xine::VideoWidgetXT::~VideoWidgetXT (this=0x3101970, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /usr/src/debug/phonon-4.4.3/xine/videowidget.cpp:248
#11 0x00007fab444f791f in ~QExplicitlySharedDataPointer (this=<value optimized out>, data=0x35afe80) at /usr/include/QtCore/qshareddata.h:159
#12 node_destruct (this=<value optimized out>, data=0x35afe80) at /usr/include/QtCore/qlist.h:402
#13 QList<QExplicitlySharedDataPointer<Phonon::Xine::SharedData> >::free (this=<value optimized out>, data=0x35afe80) at /usr/include/QtCore/qlist.h:646
#14 0x00007fab444f7acd in ~QList (this=0x30abdc0, __in_chrg=<value optimized out>) at /usr/include/QtCore/qlist.h:621
#15 ~KeepReference (this=0x30abdc0, __in_chrg=<value optimized out>) at /usr/src/debug/phonon-4.4.3/xine/keepreference.h:45
#16 Phonon::Xine::KeepReference<0>::~KeepReference (this=0x30abdc0, __in_chrg=<value optimized out>) at /usr/src/debug/phonon-4.4.3/xine/keepreference.h:45
#17 0x0000003bcf562f55 in QObject::event (this=0x30abdc0, e=0x7fab28002210) at kernel/qobject.cpp:1231
#18 0x0000003bd29ab39c in QApplicationPrivate::notify_helper (this=0x29ab5b0, receiver=0x30abdc0, e=0x7fab28002210) at kernel/qapplication.cpp:4306
#19 0x0000003bd29b165b in QApplication::notify (this=<value optimized out>, receiver=0x30abdc0, e=0x7fab28002210) at kernel/qapplication.cpp:4189
#20 0x0000003bd0e1d136 in KApplication::notify (this=0x7fff6fcee530, receiver=0x30abdc0, event=0x7fab28002210) at /usr/src/debug/kdelibs-4.5.4/kdeui/kernel/kapplication.cpp:310
#21 0x0000003bcf553ddc in QCoreApplication::notifyInternal (this=0x7fff6fcee530, receiver=0x30abdc0, event=0x7fab28002210) at kernel/qcoreapplication.cpp:726
#22 0x0000003bcf555ed4 in sendEvent (receiver=0x0, event_type=0, data=0x35af160) at kernel/qcoreapplication.h:215
#23 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x35af160) at kernel/qcoreapplication.cpp:1367
#24 0x0000003bcf579d23 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#25 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#26 0x0000003bc543bd02 in g_main_dispatch (context=0x7fab280009b0) at gmain.c:1960
#27 IA__g_main_context_dispatch (context=0x7fab280009b0) at gmain.c:2513
#28 0x0000003bc543fae8 in g_main_context_iterate (context=0x7fab280009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#29 0x0000003bc543fc9c in IA__g_main_context_iteration (context=0x7fab280009b0, may_block=1) at gmain.c:2654
#30 0x0000003bcf579863 in QEventDispatcherGlib::processEvents (this=0x7fab280008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#31 0x0000003bcf552822 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#32 0x0000003bcf552aec in QEventLoop::exec (this=0x7fab30877c70, flags=...) at kernel/qeventloop.cpp:201
#33 0x0000003bcf46f05b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#34 0x00007fab444f8bc0 in Phonon::Xine::XineThread::run (this=0x35aef60) at /usr/src/debug/phonon-4.4.3/xine/xinethread.cpp:143
#35 0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x35aef60) at thread/qthread_unix.cpp:248
#36 0x0000003bc4407761 in start_thread (arg=0x7fab30878700) at pthread_create.c:301
#37 0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fab2fc73700 (LWP 2436)):
#0  0x0000003bc3cd7323 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003bdb62cc6f in poll_func (ufds=0x7fab20001460, nfds=2, timeout=-1, userdata=0x35b12e0) at pulse/thread-mainloop.c:75
#2  0x0000003bdb61caf6 in pa_mainloop_poll (m=0x35b11e0) at pulse/mainloop.c:879
#3  0x0000003bdb61ded9 in pa_mainloop_iterate (m=0x35b11e0, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x0000003bdb61df90 in pa_mainloop_run (m=0x35b11e0, retval=0x0) at pulse/mainloop.c:979
#5  0x0000003bdb62ca6b in thread (userdata=0x35b06c0) at pulse/thread-mainloop.c:94
#6  0x0000003bd9a38868 in internal_thread_func (userdata=0x35b1390) at pulsecore/thread-posix.c:72
#7  0x0000003bc4407761 in start_thread (arg=0x7fab2fc73700) at pthread_create.c:301
#8  0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fab2f272700 (LWP 2437)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fab442ad753 in fifo_peek_int (this_gen=0x35bd340) at audio_out.c:348
#2  fifo_peek (this_gen=0x35bd340) at audio_out.c:388
#3  ao_loop (this_gen=0x35bd340) at audio_out.c:1015
#4  0x0000003bc4407761 in start_thread (arg=0x7fab2f272700) at pthread_create.c:301
#5  0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fab2e871700 (LWP 2438)):
#0  __pthread_mutex_lock (mutex=0x7fab240009b8) at pthread_mutex_lock.c:50
#1  0x0000003bc543a431 in IA__g_main_context_query (context=0x7fab240009b0, max_priority=2147483647, timeout=0x7fab2e870b78, fds=0x7fab24002440, n_fds=2) at gmain.c:2340
#2  0x0000003bc543f73c in g_main_context_iterate (context=0x7fab240009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2573
#3  0x0000003bc543fc9c in IA__g_main_context_iteration (context=0x7fab240009b0, may_block=1) at gmain.c:2654
#4  0x0000003bcf5798b6 in QEventDispatcherGlib::processEvents (this=0x7fab240008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x0000003bcf552822 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003bcf552aec in QEventLoop::exec (this=0x7fab2e870c90, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003bcf46f05b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x0000003bcf535878 in QInotifyFileSystemWatcherEngine::run (this=0x37ebb70) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x37ebb70) at thread/qthread_unix.cpp:248
#10 0x0000003bc4407761 in start_thread (arg=0x7fab2e871700) at pthread_create.c:301
#11 0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fab1b7b2700 (LWP 2445)):
#0  0x0000003bc4409191 in __pthread_mutex_lock (mutex=0x7fab140024c8) at pthread_mutex_lock.c:61
#1  0x0000003bc543dc2b in IA__g_main_context_acquire (context=0x7fab140024c0) at gmain.c:2047
#2  0x0000003bc543f635 in g_main_context_iterate (context=0x7fab140024c0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2535
#3  0x0000003bc543fc9c in IA__g_main_context_iteration (context=0x7fab140024c0, may_block=1) at gmain.c:2654
#4  0x0000003bcf5798b6 in QEventDispatcherGlib::processEvents (this=0x7fab140008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x0000003bcf552822 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003bcf552aec in QEventLoop::exec (this=0x7fab1b7b1c90, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003bcf46f05b in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x0000003bcf535878 in QInotifyFileSystemWatcherEngine::run (this=0x3ca9140) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x0000003bcf4711a5 in QThreadPrivate::start (arg=0x3ca9140) at thread/qthread_unix.cpp:248
#10 0x0000003bc4407761 in start_thread (arg=0x7fab1b7b2700) at pthread_create.c:301
#11 0x0000003bc3ce098d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7faafffff700 (LWP 2461)):
#0  0xffffffffff60013b in ?? ()
#1  0x00007faaffffe980 in ?? ()
#2  0x00007fff6fd58952 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 3 (Thread 0x7fab11ab8700 (LWP 2468)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003bcf47212b in wait (this=<value optimized out>, mutex=0x7b1c398, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7b1c398, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000004c84a6 in _start ()

Thread 2 (Thread 0x7faaf4e01700 (LWP 2480)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003bcf47212b in wait (this=<value optimized out>, mutex=0x7b43e38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7b43e38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000004cd93b in _start ()

Thread 1 (Thread 0x7fab70913880 (LWP 2413)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x0000003bcf470b15 in thread_sleep (ti=0x7fff6fcec8f0) at thread/qthread_unix.cpp:398
#2  0x0000003bcf470c80 in QThread::msleep (msecs=<value optimized out>) at thread/qthread_unix.cpp:424
#3  0x00007fab4451c2ea in Phonon::Xine::Backend::~Backend (this=0x31028e0, __in_chrg=<value optimized out>) at /usr/src/debug/phonon-4.4.3/xine/backend.cpp:111
#4  0x00007fab4451c4f9 in Phonon::Xine::Backend::~Backend (this=0x31028e0, __in_chrg=<value optimized out>) at /usr/src/debug/phonon-4.4.3/xine/backend.cpp:123
#5  0x0000003bdce3a477 in Phonon::FactoryPrivate::~FactoryPrivate (this=0x30a9720, __in_chrg=<value optimized out>) at /usr/src/debug/phonon-4.4.3/phonon/factory.cpp:221
#6  0x0000003bdce3a5f9 in Phonon::FactoryPrivate::~FactoryPrivate (this=0x30a9720, __in_chrg=<value optimized out>) at /usr/src/debug/phonon-4.4.3/phonon/factory.cpp:225
#7  0x0000003bc3c35ee2 in __run_exit_handlers (status=1) at exit.c:78
#8  exit (status=1) at exit.c:100
#9  0x00007fab69692fb6 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#10 0x0000003bd0e1ca08 in KApplication::xioErrhandler (this=0x7fff6fcee530, dpy=0x29d6b30) at /usr/src/debug/kdelibs-4.5.4/kdeui/kernel/kapplication.cpp:416
#11 0x0000003bc644556e in _XIOError (dpy=0x29d6b30) at XlibInt.c:3138
#12 0x0000003bc644d085 in process_responses (dpy=0x29d6b30, wait_for_first_event=0, current_error=0x0, current_request=0) at xcb_io.c:247
#13 0x0000003bc644d947 in _XEventsQueued (dpy=0x29d6b30, mode=<value optimized out>) at xcb_io.c:263
#14 0x0000003bc64250ea in XFlush (dpy=0x29d6b30) at Flush.c:41
#15 0x0000003bd29f5720 in QWidget::unsetCursor (this=0x68be9c0) at kernel/qwidget.cpp:4838
#16 0x00000000004814a4 in _start ()

Possible duplicates by query: bug 241422, bug 221117.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-12-31 13:06:58 UTC
Crash appear in Phonon component, not digiKam as well. You have video file in your camera.

I recommend to try digiKam 1.7.0 instead 1.5.0

Gilles Caulier
Comment 2 Myriam Schweingruber 2011-01-04 04:31:55 UTC
This is an upstream problem with libxine, please check with your distribution.
Comment 3 caulier.gilles 2018-08-21 10:43:27 UTC
Problem is not reproducible since digiKam use QtAv framework +ffmpeg to handle video files.